> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List P11Ds



## OpenAPI

````yaml /api-reference/preview.json get /gb/organizations/{organization_id}/exb/p11ds
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/exb/p11ds:
    get:
      tags:
        - Great Britain
        - Expenses and Benefits
        - Great Britain
        - EXB P11D
      summary: List P11Ds
      operationId: list_p11ds_gb_organizations__organization_id__exb_p11ds_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: tax_year
          in: query
          required: true
          schema:
            type: integer
            description: Tax year start, e.g. 2025 for 2025-26
            title: Tax Year
          description: Tax year start, e.g. 2025 for 2025-26
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_P11DListItem_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PaginatedResponse_P11DListItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/P11DListItem'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: PaginatedResponse[P11DListItem]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    P11DListItem:
      properties:
        id:
          type: string
          title: Id
        tax_year:
          type: integer
          title: Tax Year
        class_1a_total:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Class 1A Total
        employee:
          $ref: '#/components/schemas/P11DEmployeeSummary'
      additionalProperties: true
      type: object
      required:
        - id
        - tax_year
        - class_1a_total
        - employee
      title: P11DListItem
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    P11DEmployeeSummary:
      properties:
        id:
          type: string
          title: Id
        employee_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Employee Name
        work_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Work Email
      additionalProperties: true
      type: object
      required:
        - id
      title: P11DEmployeeSummary
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````